Ubuntu

Installing both fglrx and fglrx-updates results in: error exit status 1 -"/etc/init.d/atieventsd exists during rc.d purge"

Reported by Alex Mauer on 2012-03-08
936
This bug affects 143 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Critical
Alberto Milone
Precise
Critical
Alberto Milone
fglrx-installer-updates (Ubuntu)
Critical
Alberto Milone
Precise
Critical
Alberto Milone

Bug Description

[rational]
Purging fglrx after installing fglrx-updates fails because of a file being owned by both packages.

[test case]
1) apt-get install fglrx
2) apt-get install fglrx-updates
3) dpkg --purge fglrx

3) is currently failing with the error below

[regression potential]
Will depend on the fix.

It looks like a file from fglrx-updates is preventing the purge of fglrx…

update-rc.d: /etc/init.d/atieventsd exists during rc.d purge (use -f to force)
dpkg: error processing fglrx (--purge):

package fglrx (not installed) failed to install/upgrade: subprocess installed post-removal script returned error exit status 1 -"/etc/init.d/atieventsd exists during rc.d purge"

[Workaround]
Uninstall one package before installing the other

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: fglrx (not installed)
ProcVersionSignature: Ubuntu 3.2.0-18.28-generic 3.2.9
Uname: Linux 3.2.0-18-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 1.94.1-0ubuntu1
AptOrdering: fglrx: Purge
Architecture: amd64
Date: Wed Mar 7 22:05:20 2012
ErrorMessage: subprocess installed post-removal script returned error exit status 1
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
SourcePackage: fglrx-installer
Title: package fglrx (not installed) failed to install/upgrade: subprocess installed post-removal script returned error exit status 1
UpgradeStatus: Upgraded to precise on 2012-03-08 (0 days ago)

Alex Mauer (hawke) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) wrote :

@Alberto, a few folks seem to be running into this one; mind taking a look?

Changed in fglrx-installer (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: Confirmed → Triaged
Bryce Harrington (bryce) on 2012-03-17
summary: package fglrx (not installed) failed to install/upgrade: subprocess
installed post-removal script returned error exit status 1
+ -"/etc/init.d/atieventsd exists during rc.d purge"
Bryce Harrington (bryce) on 2012-03-23
Changed in fglrx-installer (Ubuntu):
milestone: none → ubuntu-12.04

By chance, was both fglrx and fglrx_updates installed? Perhaps one interferes with the other if both are installed simultaneously?

Changed in fglrx-installer (Ubuntu Precise):
status: Triaged → Incomplete
Alex Mauer (hawke) wrote :

Yes, that’s exactly the case — if you install one, and then try to install the other (they conflict), you run into this bug.

deuce (azinas) wrote :

I haven't installed the other, just fglrx-updates!

Parth Lakhani (prlakhani) wrote :

Confirming that this is also the case with my install. However, when I tried to install fglrx from synaptic (not via jockey), it marked fglrx-updates to be installed as well. Checking now, this isn't the case anymore, but may be what caused some people issues before.

Bryce Harrington (bryce) on 2012-03-25
description: updated
summary: - package fglrx (not installed) failed to install/upgrade: subprocess
- installed post-removal script returned error exit status 1
+ Installing both fglrx and fglrx-updates results in: error exit status 1
-"/etc/init.d/atieventsd exists during rc.d purge"
description: updated
Changed in fglrx-installer (Ubuntu Precise):
status: Incomplete → Triaged
tags: added: rls-mgr-p-tracking
Bryce Harrington (bryce) on 2012-04-17
Changed in fglrx-installer (Ubuntu Precise):
importance: High → Critical
Daniel Letzeisen (dtl131) wrote :

I believe this is not just limited to trying to install both versions at the same time. It seems to happen when trying to install or remove either package. Look at:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/981490
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/983580

Maybe thread should be re-titled and those bugs marked duplicate?

Yes, this is a duplicate of Bug for
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/981490
I apologize for the careless

2012/4/22 Dave Lentz <email address hidden>:
> I believe this is not just limited to trying to install both versions at the same time. It seems to happen when trying to install or remove either package. Look at:
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/981490
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/983580
>
> Maybe thread should be re-titled and those bugs marked duplicate?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (955206).
> https://bugs.launchpad.net/bugs/949641
>
> Title:
>  Installing both fglrx and fglrx-updates results in:  error exit status
>  1 -"/etc/init.d/atieventsd exists during rc.d purge"
>
> Status in “fglrx-installer” package in Ubuntu:
>  Triaged
> Status in “fglrx-installer” source package in Precise:
>  Triaged
>
> Bug description:
>  It looks like a file from fglrx-updates is preventing the purge of
>  fglrx…
>
>  update-rc.d: /etc/init.d/atieventsd exists during rc.d purge (use -f to force)
>  dpkg: error processing fglrx (--purge):
>
>  package fglrx (not installed) failed to install/upgrade: subprocess
>  installed post-removal script returned error exit status 1
>  -"/etc/init.d/atieventsd exists during rc.d purge"
>
>  [Workaround]
>  Uninstall one package before installing the other
>
>  ProblemType: Package
>  DistroRelease: Ubuntu 12.04
>  Package: fglrx (not installed)
>  ProcVersionSignature: Ubuntu 3.2.0-18.28-generic 3.2.9
>  Uname: Linux 3.2.0-18-generic x86_64
>  NonfreeKernelModules: fglrx
>  ApportVersion: 1.94.1-0ubuntu1
>  AptOrdering: fglrx: Purge
>  Architecture: amd64
>  Date: Wed Mar  7 22:05:20 2012
>  ErrorMessage: subprocess installed post-removal script returned error exit status 1
>  InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
>  SourcePackage: fglrx-installer
>  Title: package fglrx (not installed) failed to install/upgrade: subprocess installed post-removal script returned error exit status 1
>  UpgradeStatus: Upgraded to precise on 2012-03-08 (0 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/949641/+subscriptions
>

Savvas Radevic (medigeek) wrote :

In one of the duplicates the workaround was mentioned:

sudo /usr/sbin/update-rc.d -f atieventsd remove
sudo dpkg --purge fglrx-amdccle
sudo dpkg --purge fglrx
sudo dpkg --purge fglrx-updates
sudo apt-get install fglrx fglrx-amdccle

I tried to update the bug description but it times out for some reason.

Britt Yazel (bwyazel) wrote :

On a freshly installed system I tried installing fglrx-updates and got a "instalation failed" message in jockey, but the drivers regardless seem to be working alright. Don't know if this is the same issue or not, but it would be nice to be fixed.

.salo (dwsalo) wrote :

I was able to successful install fglrx-updates package manually. Don't know if it works properly (at leas I don't see any issue), but in the drivers window it is not marked as installed.

DINAMIK (silpablo) wrote :

On a freshly installed system I tried installing fglrx-updates and got a "instalation failed" message in jockey, but the drivers regardless seem to be working alright. Don't know if this is the same issue or not, but it would be nice to be fixed.

same for me on ubuntu precise 64bits. catalyst 12.4 by jockey says that an error has ocurred but everything seems to be ok after restart x

jasownwyz98 (jasonwyz98) wrote :

Ok, I installed "fglrx" and "fglrx-amdcccle" via Jockey aka "Additional Hardware GUI app".

Everything seems to be working ok.

Packages in the Ubuntu 12.04 repo ( 2012-05-08 ):

fglrx version: 2:8.960-0ubuntu1 size: 118 MB

fglrx-updates: version: 2:8.960-0ubuntu1 size: 118 MB

fglrx-amdcccle: version: 2:8.960-0ubuntu1 size: 11.5 MB

fglrx-amdcccle-updates: version: 2:8.960-0ubuntu1 size: 11.5 MB

So it looks like "fglrx" and "fglrx-updates" are the same thing.

Same problem here, needs to be fixed

Viktoria S. (viktoria-s) wrote :

Hi!

I have fully updated xubuntu 12.04 64bit and ATI Mobility Radeon HD 5470. I have installed via Jockey the ATI driver (normal version, not the post release one). The installation went well, it intalled the driver, but I have noticed in synaptic that the package fglrx-updates is in the not installed residual config state. I guess that is not normal. If you need some logs or any other information please let me know.

Ra1DaN (raidan-) on 2012-06-09
Changed in fglrx-installer (Ubuntu):
status: Triaged → Confirmed
Daniel Letzeisen (dtl131) wrote :

@Ra1DaN: please do not set bugs to 'Confirmed' when they are already marked 'Triaged' https://wiki.ubuntu.com/Bugs/Status

@Viktoria S.: you need to right-click and mark the fglrx-update package for Complete Removal (or use apt-get purge command)

C de-Avillez (hggdh2) on 2012-06-14
Changed in fglrx-installer (Ubuntu):
status: Confirmed → Triaged
Changed in fglrx-installer (Ubuntu Precise):
milestone: ubuntu-12.04 → ubuntu-12.04.1
Changed in fglrx-installer (Ubuntu):
milestone: ubuntu-12.04 → ubuntu-12.04.1
Changed in fglrx-installer (Ubuntu):
status: Triaged → Fix Released
Stéphane Graber (stgraber) wrote :

Can't see any indication of this bug being fixed in the changelog, reverting the state to Triaged.

Alberto: what's the status of this bug, are you still expecting a fix to land in time for 12.04.1?

Changed in fglrx-installer (Ubuntu):
status: Fix Released → Triaged
Changed in fglrx-installer (Ubuntu):
milestone: ubuntu-12.04.1 → none
Alberto Milone (albertomilone) wrote :

As you can see in the attached text file, I've tried to install one driver flavour over the other and it worked without problems.

Changed in fglrx-installer (Ubuntu Precise):
status: Triaged → Incomplete
description: updated
Changed in fglrx-installer (Ubuntu Precise):
status: Incomplete → Triaged
Changed in fglrx-installer-updates (Ubuntu):
status: New → In Progress
Changed in fglrx-installer (Ubuntu):
status: Triaged → In Progress
Changed in fglrx-installer-updates (Ubuntu Precise):
status: New → In Progress
Changed in fglrx-installer (Ubuntu Precise):
status: Triaged → In Progress
Changed in fglrx-installer-updates (Ubuntu):
importance: Undecided → Critical
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer-updates (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Critical
milestone: none → ubuntu-12.04.1
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.960-0ubuntu6

---------------
fglrx-installer (2:8.960-0ubuntu6) quantal; urgency=low

  [ Stéphane Graber ]
  * Only purge the package if nothing else provides fglrx
    (LP: #949641).
 -- Alberto Milone <email address hidden> Wed, 01 Aug 2012 12:04:39 +0200

Changed in fglrx-installer (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:8.960-0ubuntu6

---------------
fglrx-installer-updates (2:8.960-0ubuntu6) quantal; urgency=low

  [ Stéphane Graber ]
  * Only purge the package if nothing else provides fglrx
    (LP: #949641).
 -- Alberto Milone <email address hidden> Wed, 01 Aug 2012 12:08:18 +0200

Changed in fglrx-installer-updates (Ubuntu):
status: In Progress → Fix Released
Alberto Milone (albertomilone) wrote :

SRU request:

Please accept both fglrx-installer and fglrx-installer-updates 8.960-0ubuntu1.1 in precise-proposed.

Hello Alex, or anyone else affected,

Accepted fglrx-installer-updates into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/fglrx-installer-updates/2:8.960-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fglrx-installer-updates (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in fglrx-installer (Ubuntu Precise):
status: In Progress → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Alex, or anyone else affected,

Accepted fglrx-installer into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/fglrx-installer/2:8.960-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Géza Búza (medve) wrote :

This update fixed the problem by upgrading fglrx, fglrx-amdcccle-updates, fglrx-updates first, then purging fglrx.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.960-0ubuntu1.1

---------------
fglrx-installer (2:8.960-0ubuntu1.1) precise-proposed; urgency=low

  [ Alberto Milone ]
  * fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch:
    - Fix build issue on i386 where TS_USEDFPU is no longer
      available (LP: #1017822).
  * replace-do_mmap-and-do_munmap-with-vm_mmap-and-vm_mu.patch,
    replace-for_each_cpu_mask-with-for_each_possible_cpu.patch:
    - Add support for Linux 3.5.

  [ Stéphane Graber ]
  * Only purge the package if nothing else provides fglrx
    (LP: #949641).
 -- Alberto Milone <email address hidden> Wed, 01 Aug 2012 19:11:19 +0200

Changed in fglrx-installer (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:8.960-0ubuntu1.1

---------------
fglrx-installer-updates (2:8.960-0ubuntu1.1) precise-proposed; urgency=low

  [ Alberto Milone ]
  * fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch:
    - Fix build issue on i386 where TS_USEDFPU is no longer
      available (LP: #1017822).
  * replace-do_mmap-and-do_munmap-with-vm_mmap-and-vm_mu.patch,
    replace-for_each_cpu_mask-with-for_each_possible_cpu.patch:
    - Add support for Linux 3.5.

  [ Stéphane Graber ]
  * Only purge the package if nothing else provides fglrx
    (LP: #949641).
 -- Alberto Milone <email address hidden> Wed, 01 Aug 2012 19:03:48 +0200

Changed in fglrx-installer-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
Ferran Basora (fcsonline) wrote :

Now, after trying the new package I get another reported bug:

https://bugs.launchpad.net/ubuntu/+source/jockey/+bug/870560

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions